<template>
            <v-toolbar
                class="mt-2"
                max-width="100%"
                min-width="100%"
                width="100%"
                dense
                dark
            >
                <!-- <v-btn
                     outlined
                     class="mr-4"
                     dark
                     @click="$emit('setToday')"
                     >
                     Today
                     </v-btn> -->
              <v-btn
                text
                small
                dark
                @click="$emit('prev')"
              >
                  {{ $t('bar.previous') }}
                <v-icon small>
                  mdi-chevron-left
                </v-icon>
              </v-btn>
              <v-btn
                text
                small
                dark
                @click="$emit('next')"
              >
                  {{ $t('bar.next') }}
                <v-icon small>
                  mdi-chevron-right
                </v-icon>
              </v-btn>
              <v-toolbar-title>
                {{ calendarTitle }}
              </v-toolbar-title>
              <v-spacer></v-spacer>
              <v-menu
                bottom
                right
              >
                <template v-slot:activator="{ on, attrs }">
                  <v-btn
                    outlined
                    dark
                    v-bind="attrs"
                    v-on="on"
                  >
                    <span>{{ $t("bar.period." + stepType) }}</span>
                    <v-icon right>
                      mdi-menu-down
                    </v-icon>
                  </v-btn>
                </template>
                <v-list>
                  <v-list-item @click="$emit('onChangeType', 'day')">
                      <v-list-item-title>
                          {{ $t('bar.period.day') }}
                      </v-list-item-title>
                  </v-list-item>
                  <v-list-item @click="$emit('onChangeType', 'week')">
                      <v-list-item-title>
                          {{ $t('bar.period.week') }}
                      </v-list-item-title>
                  </v-list-item>
                  <v-list-item @click="$emit('onChangeType', 'month')">
                      <v-list-item-title>
                          {{ $t('bar.period.month') }}
                      </v-list-item-title>
                  </v-list-item>
                </v-list>
              </v-menu>
                <v-btn
                    v-if="account === undefined || account.length === 0"
                    text
                    small
                    dark
                    @click="connectWallet"
                >
                    <v-icon small>
                        mdi-wallet-outline
                    </v-icon>
                </v-btn>
                <v-btn
                    class="accountName"
                    v-else
                    text
                    outlined
                    small
                    dark
                    @click="connectWallet"
                >
                    {{ account[0] }}
                </v-btn>
            </v-toolbar>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
// import Web3 from "web3"

@Component({})
export default class SystemBar extends Vue {
    @Prop() private calendarTitle!: string
    @Prop() private stepType!: string
    private typeToLabel: object = {
        month: 'Month',
        week: 'Week',
        day: 'Day'
        // '4day': '4 Days',
    }
    private account: Array<string> = []

    private async connectWallet() {
        // console.log("WINDOW > ", window)
        // @ts-ignore
        alert('Window' + window.ethereum)
        // @ts-ignore
        if (window.ethereum) {
            try {
                // @ts-ignore
                const account = await window.ethereum.request(
                    { method: 'eth_requestAccounts' });
            console.log('ACCOUNT > ', account)
            this.account = account
            } catch (err) {
                console.log(err)
            }
            // console.log(window.ethereum)
        }
    }
}
</script>

<style scoped>
.systemBar {
    width: 100%;
}
.accountName {
    text-overflow: ellipsis;
    width: 100px;
    overflow: hidden;
}
</style>
